Package classycle.classfile

# Class InterfaceMethodRefConstant

java.lang.Object
classycle.classfile.Constant
classycle.classfile.RefConstant
classycle.classfile.InterfaceMethodRefConstant

public class InterfaceMethodRefConstant extends RefConstant
Reference constant for an interface method.

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`InterfaceMethodRefConstant(Constant[] pool, int classIndex, int nameAndTypeIndex)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns constant type, class name, method name, and descriptor.

### Methods inherited from class classycle.classfile.RefConstant

`getClassConstant, getNameAndType, toString`

### Methods inherited from class classycle.classfile.Constant

`extractConstantPool, getConstant`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InterfaceMethodRefConstant

public InterfaceMethodRefConstant(Constant[] pool, int classIndex, int nameAndTypeIndex)

## Method Details

### toString

public String toString()
Returns constant type, class name, method name, and descriptor.

Overrides:
  `toString` in class `Object`